utl::meta::identity< _Tp > Struct Template Reference

`#include <invoke.h>`

## Public Types

template<typename... >
using | apply = _Tp
| identity is invokable, must also have apply More...
using | type = _Tp
| identity More...

## Detailed Description

### template<typename _Tp>
struct utl::meta::identity< _Tp >

identity, identity_t.

Definition at line 54 of file invoke.h.

## Member Typedef Documentation

## apply

template<typename _Tp >
template<typename... >

using utl::meta::identity< _Tp >::apply = _Tp

identity is invokable, must also have apply

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 61 of file invoke.h.

## type

template<typename _Tp >

using utl::meta::identity< _Tp >::type = _Tp

identity

Examples:
  W:/Work/Software/Libraries/utl/include/utl/meta/invoke.h.

Definition at line 63 of file invoke.h.

The documentation for this struct was generated from the following file:

- include/utl/meta/invoke.h